Highscores = {}

function Highscores:load()
    CheckforFile()
    CheckThroughLines()
    WriteHighscore()
end

function Highscores:update(dt)
    if Score > tonumber(Highscore) then
        Highscore = Score
        love.filesystem.write("data.lua", "highscore\n=\n" .. Highscore)
    end
end

function Highscores:draw()
    love.graphics.print(SCREEN_TEXT[3] .. Highscore, HIGHSCORE_POS.x, HIGHSCORE_POS.y)
end

function CheckforFile()
    if not love.filesystem.newFile("data.lua") then
        Data = love.filesystem.newFile("data.lua")
    end
end

function CheckThroughLines()
    for lines in love.filesystem.lines("data.lua") do
        table.insert(Highscores, lines)
    end 
end

function WriteHighscore()
    love.filesystem.write("data.lua", "highscore\n=\n" .. Highscore)
    Highscore = Highscores[3]
end