P = {}

function P:load()
    self.x = love.graphics.getWidth() / 2
    self.y = love.graphics.getHeight() / 2
    self.w = 30
    self.h = 30
    self.SPEED = 5
end

function P:update(dt)
    self:Movement()
    self:checkBoundaries()
end

function P:Movement()
    if love.keyboard.isDown("w") then
        self.x = self.x
        self.y = self.y - self.SPEED
    else
        if love.keyboard.isDown("s") then
            self.x = self.x
            self.y = self.y + self.SPEED
        else
            if love.keyboard.isDown("a") then
                self.x = self.x - self.SPEED
                self.y = self.y
            else
                if love.keyboard.isDown("d") then
                    self.x = self.x + self.SPEED
                    self.y = self.y
                end
            end
        end
    end
end


function P:checkBoundaries()
    -- Check Height Border
    if self.y < 0 then
        self.y = 0
    elseif self.y + self.h > love.graphics.getHeight() then
        self.y = love.graphics.getHeight() - self.h
    end
    -- Check Width Border
    if self.x < 0 then
        self.x = 0
    elseif self.x + self.w > love.graphics.getWidth() then
        self.x = love.graphics.getWidth() - self.w
    end
end

function P:draw()
    
end
