require("conf")
require("player")
require("target")
require("UserInterface")
require("score")
require("highscore")

function love.load()
    P:load()
    T:load()
    Screen:load()
    Scores:load()
    Highscores:load()
end


function love.update(dt)
    P:update(dt)
    T:update(dt)
    Screen:update(dt)
    Scores:update(dt)
    Highscores:update(dt)
end

function love.draw()
    P:draw()
    T:draw()
    Screen:draw()
    Scores:draw()
    Highscores:draw()
end


function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
        love.filesystem.write("data.lua", "highscore\n=\n".. Highscore)
    end
end