T = {}

function T:load()
    self.x = 250
    self.y = 300
    self.w = 15
    self.h = 15
    Highscore = 0
    Score = 0
    Timer = 100
    
    
end

function T:update(dt)
    GameStart(dt)
    GameEnd()
    self:checkBoundaries()
    self:CheckOverlap()
end

function T:CheckOverlap()
    if (P.y + P.h > T.y) and (P.y < T.y + T.h) and (P.x + P.w > T.x) and (P.x < T.x + T.w) then
        math.randomseed(os.time())
        T.x = math.random(love.graphics:getWidth())
        T.y = math.random(love.graphics:getHeight()) 
        Score = Score + 1
    end
end

function GameStart(dt)
    if Score >= 1 then
        Timer = Timer - dt
        SCREEN_TEXT[5] = ""
    end
end

function GameEnd()
    if Timer <= 0 then
        Score = 0
        Timer = 100
        P.x = love.graphics.getWidth() / 2
        P.y = love.graphics.getHeight() / 2
        T.x = math.random(love.graphics.getWidth() - T.w)
        T.y = math.random(love.graphics.getHeight() - T.h)
        SCREEN_TEXT[5] = "Eat to Start!"
    end
end


function T:draw()
end


function T:checkBoundaries()
    -- Check Height Border
    if self.y < 0 then
        self.y = 0
    elseif self.y + self.h > love.graphics.getHeight() then
        self.y = love.graphics.getHeight() - self.h
    end
    -- Check Width Border
    if self.x < 0 then
        self.x = 0
    elseif self.x + self.w > love.graphics.getWidth() then
        self.x = love.graphics.getWidth() - self.w
    end
end